
%global meadversion 3.0.7
%global namedversion 3.0.7.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package sun-istack-commons}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.7.redhat-00001

Name:           %{?scl_prefix}sun-istack-commons
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        istack common utility code
Group:          Development/Java

%if %with mead
Source100: istack-commons-3.0.7.redhat-00001-project-sources.tar.gz
Source102: istack-commons-tools-3.0.7.redhat-00001.pom
Source103: istack-commons-tools-3.0.7.redhat-00001.jar
Source104: istack-commons-tools-3.0.7.redhat-00001-sources.jar
Source105: istack-commons-buildtools-3.0.7.redhat-00001.jar
Source106: istack-commons-buildtools-3.0.7.redhat-00001-sources.jar
Source107: istack-commons-buildtools-3.0.7.redhat-00001.pom
Source108: istack-commons-runtime-3.0.7.redhat-00001.pom
Source109: istack-commons-runtime-3.0.7.redhat-00001-sources.jar
Source110: istack-commons-runtime-3.0.7.redhat-00001.jar
Source111: istack-commons-3.0.7.redhat-00001.pom
Source112: istack-commons-soimp-3.0.7.redhat-00001.pom
Source113: istack-commons-soimp-3.0.7.redhat-00001-sources.jar
Source114: istack-commons-soimp-3.0.7.redhat-00001.jar
Source115: istack-commons-maven-plugin-3.0.7.redhat-00001.jar
Source116: istack-commons-maven-plugin-3.0.7.redhat-00001.pom
Source117: istack-commons-maven-plugin-3.0.7.redhat-00001-sources.jar
Source118: istack-commons-test-3.0.7.redhat-00001.pom
Source119: istack-commons-test-3.0.7.redhat-00001.jar
Source120: istack-commons-test-3.0.7.redhat-00001-sources.jar
Source121: import-properties-plugin-3.0.7.redhat-00001-sources.jar
Source122: import-properties-plugin-3.0.7.redhat-00001.jar
Source123: import-properties-plugin-3.0.7.redhat-00001.pom
Source124: istack-commons-3.0.7.redhat-00001-scm-sources.zip
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            http://java.net/projects/istack-commons/sources/svn/show/tags/istack-commons-2.21
Provides:       %{?scl_prefix}istack-commons = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}istack-commons-runtime = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}istack-commons-tools = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
istack common utility code.

%package -n %{?scl_prefix}istack-commons-buildtools
Summary:        istack-commons-buildtools
Group:          Development/Java

Requires:       %{?scl_prefix_eap}ant >= 0:1.7.0
Requires:       %{?scl_prefix_eap}codemodel >= 0:2.6

%description -n %{?scl_prefix}istack-commons-buildtools
%{summary}.

%package -n %{?scl_prefix}istack-commons-runtime
Summary:        istack common utility code runtime
Group:          Development/Java


%description -n %{?scl_prefix}istack-commons-runtime
%{summary}.

%package -n %{?scl_prefix}istack-commons-test
Summary:        istack common utility code test
Group:          Development/Java

Requires:       %{?scl_prefix_eap}junit >= 0:3.8
Requires:       %{?scl_prefix_eap}ant-junit >= 0:1.7.0
Requires:       %{?scl_prefix_eap}dom4j >= 0:1.6.1

%description -n %{?scl_prefix}istack-commons-test
%{summary}.

%package -n %{?scl_prefix}istack-commons-tools
Summary:        istack common utility code tools
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}ant >= 0:1.7.0
Requires:       %{?scl_prefix_eap}tools >= 0:1.6
%endif

%description -n %{?scl_prefix}istack-commons-tools
%{summary}.

%package -n %{?scl_prefix}istack-commons-maven-plugin
Summary:        istack-commons Maven Mojo
Group:          Development/Java

Requires:       %{?scl_prefix_eap}maven-plugin-api >= 0:2.0
Requires:       %{?scl_prefix_eap}file-management >= 0:1.2
Requires:       %{?scl_prefix_eap}codemodel >= 0:2.6
Requires:       %{?scl_prefix_eap}plexus-archiver >= 0:1.0
Requires:       %{?scl_prefix_eap}plexus-io >= 0:1.0
Requires:       %{?scl_prefix_eap}maven-project >= 0:2.2.1

%description -n %{?scl_prefix}istack-commons-maven-plugin
%{summary}.

%package -n %{?scl_prefix}import-properties-plugin
Summary:        istack-commons import properties plugin
Group:          Development/Java

Requires:       %{?scl_prefix_eap}maven-compat >= 0:3.1.0
Requires:       %{?scl_prefix_eap}maven-plugin-api >= 0:3.1.0
Requires:       %{?scl_prefix_eap}maven-core >= 0:3.1.0
Requires:       %{?scl_prefix_eap}plexus-utils >= 0:3.0.10
Requires:       %{?scl_prefix_eap}maven-settings >= 0:3.1.0
Requires:       %{?scl_prefix_eap}sisu-inject-plexus >= 0:2.3.0
Requires:       %{?scl_prefix_eap}maven-aether-provider >= 0:3.1.0
Requires:       %{?scl_prefix_eap}aether-api >= 0:0.9.1.v20140329
Requires:       %{?scl_prefix_eap}aether-impl >= 0:0.9.1.v20140329
Requires:       %{?scl_prefix_eap}aether-spi >= 0:0.9.1.v20140329
Requires:       %{?scl_prefix_eap}aether-util >= 0:0.9.1.v20140329
Requires:       %{?scl_prefix_eap}aether-transport-file >= 0:0.9.1.v20140329
Requires:       %{?scl_prefix_eap}aether-connector-basic >= 0:0.9.1.v20140329
Requires:       %{?scl_prefix_eap}aether-transport-wagon >= 0:0.9.1.v20140329
Requires:       %{?scl_prefix_eap}wagon-http-lightweight >= 0:1.0

%description -n %{?scl_prefix}import-properties-plugin
%{summary}.

%package -n %{?scl_prefix}istack-commons-soimp
Summary:        istack common utility code soimp
Group:          Development/Java

Requires:       %{?scl_prefix_eap}ant >= 0:1.7.0
Requires:       %{?scl_prefix_eap}args4j >= 0:2.0.8

%description -n %{?scl_prefix}istack-commons-soimp
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for istack-commons
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n istack-commons-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-buildtools-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/istack-commons-buildtools-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/istack-commons-buildtools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-buildtools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-runtime-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/istack-commons-runtime-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/istack-commons-runtime-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-runtime-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-test-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/istack-commons-test-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/istack-commons-test-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-test-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-tools-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/istack-commons-tools-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/istack-commons-tools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-tools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-maven-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-maven-plugin-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/istack-commons-maven-plugin-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/istack-commons-maven-plugin-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/istack-commons-maven-plugin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-maven-plugin-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/import-properties-plugin-%{namedversion}.jar %{buildroot}%{_javadir}/import-properties-plugin-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/import-properties-plugin-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/import-properties-plugin-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/import-properties-plugin-%{namedversion}-sources.jar %{buildroot}%{_javadir}/import-properties-plugin-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/istack-commons-soimp-%{namedversion}.jar %{buildroot}%{_javadir}/istack-commons-soimp-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/istack-commons-soimp-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/istack-commons-soimp-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/istack-commons-soimp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/istack-commons-soimp-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/istack-commons-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/istack-commons-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/istack-commons-%{namedversion} -x META-INF/\*
%{__ln_s} istack-commons-%{namedversion} %{buildroot}%{_javadocdir}/istack-commons
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc copyright.txt Licence.txt

%files -n %{?scl_prefix}istack-commons-buildtools
%defattr(0644,root,root,0755)
%{_javadir}/istack-commons-buildtools-%{namedversion}.jar
%{_javadir}/istack-commons-buildtools.jar
%if %with javadoc
%{_javadir}/istack-commons-buildtools-%{namedversion}-javadoc.jar
%{_javadir}/istack-commons-buildtools-javadoc.jar
%endif
%{_javadir}/istack-commons-buildtools-%{namedversion}-sources.jar
%{_javadir}/istack-commons-buildtools-sources.jar

%files -n %{?scl_prefix}istack-commons-runtime
%defattr(0644,root,root,0755)
%{_javadir}/istack-commons-runtime-%{namedversion}.jar
%{_javadir}/istack-commons-runtime.jar
%if %with javadoc
%{_javadir}/istack-commons-runtime-%{namedversion}-javadoc.jar
%{_javadir}/istack-commons-runtime-javadoc.jar
%endif
%{_javadir}/istack-commons-runtime-%{namedversion}-sources.jar
%{_javadir}/istack-commons-runtime-sources.jar

%files -n %{?scl_prefix}istack-commons-test
%defattr(0644,root,root,0755)
%{_javadir}/istack-commons-test-%{namedversion}.jar
%{_javadir}/istack-commons-test.jar
%if %with javadoc
%{_javadir}/istack-commons-test-%{namedversion}-javadoc.jar
%{_javadir}/istack-commons-test-javadoc.jar
%endif
%{_javadir}/istack-commons-test-%{namedversion}-sources.jar
%{_javadir}/istack-commons-test-sources.jar

%files -n %{?scl_prefix}istack-commons-tools
%defattr(0644,root,root,0755)
%{_javadir}/istack-commons-tools-%{namedversion}.jar
%{_javadir}/istack-commons-tools.jar
%if %with javadoc
%{_javadir}/istack-commons-tools-%{namedversion}-javadoc.jar
%{_javadir}/istack-commons-tools-javadoc.jar
%endif
%{_javadir}/istack-commons-tools-%{namedversion}-sources.jar
%{_javadir}/istack-commons-tools-sources.jar

%files -n %{?scl_prefix}istack-commons-maven-plugin
%defattr(0644,root,root,0755)
%{_javadir}/istack-commons-maven-plugin-%{namedversion}.jar
%{_javadir}/istack-commons-maven-plugin.jar
%if %with javadoc
%{_javadir}/istack-commons-maven-plugin-%{namedversion}-javadoc.jar
%{_javadir}/istack-commons-maven-plugin-javadoc.jar
%endif
%{_javadir}/istack-commons-maven-plugin-%{namedversion}-sources.jar
%{_javadir}/istack-commons-maven-plugin-sources.jar

%files -n %{?scl_prefix}import-properties-plugin
%defattr(0644,root,root,0755)
%{_javadir}/import-properties-plugin-%{namedversion}.jar
%{_javadir}/import-properties-plugin.jar
%if %with javadoc
%{_javadir}/import-properties-plugin-%{namedversion}-javadoc.jar
%{_javadir}/import-properties-plugin-javadoc.jar
%endif
%{_javadir}/import-properties-plugin-%{namedversion}-sources.jar
%{_javadir}/import-properties-plugin-sources.jar

%files -n %{?scl_prefix}istack-commons-soimp
%defattr(0644,root,root,0755)
%{_javadir}/istack-commons-soimp-%{namedversion}.jar
%{_javadir}/istack-commons-soimp.jar
%if %with javadoc
%{_javadir}/istack-commons-soimp-%{namedversion}-javadoc.jar
%{_javadir}/istack-commons-soimp-javadoc.jar
%endif
%{_javadir}/istack-commons-soimp-%{namedversion}-sources.jar
%{_javadir}/istack-commons-soimp-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/istack-commons-%{namedversion}
%{_javadocdir}/istack-commons
%endif

%changelog
* Wed Mar 06 2019 Neil Wallace <nwallace@redhat.com> - 3.0.7-2.redhat_00001.1
- 3.0.7.redhat_00001

* Tue Nov 06 2018 Permaine Cheung <pcheung@redhat.com> - 3.0.7-1.redhat_00001.1
- 3.0.7.redhat-00001

* Tue Jul 10 2018 Permaine Cheung <pcheung@redhat.com> - 3.0.5-2.redhat_1.1
- Fix License

* Thu Jun 28 2018 Yong Yang <yyang@redhat.com> - 3.0.5-1.redhat_1.1
- 3.0.5.redhat-1 for eap 7.2.0

* Fri Jun 26 2015 David Walluck <dwalluck@redhat.com> - 2.21.0-1.redhat_1.1
- release

